    /*
     *  call-seq:
     *     index_reader.terms(field) -> TermEnum
     *
     *  Returns a term enumerator which allows you to iterate through all the
     *  terms in the field +field+ in the index.
     */
    static VALUE
    frb_ir_terms(VALUE self, VALUE rfield)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        return frb_get_te(self, ir_terms(ir, frb_field(rfield)));
    }